import bb.cascades 1.4

Page {
    
    property string appversion
    
    Container {
        layout: DockLayout {}
        verticalAlignment: VerticalAlignment.Fill
        horizontalAlignment: HorizontalAlignment.Fill
        Container {
            horizontalAlignment: HorizontalAlignment.Center
            verticalAlignment: VerticalAlignment.Center
            Container {
                horizontalAlignment: HorizontalAlignment.Center
                Label {
                    text: "Goober"
                    horizontalAlignment: HorizontalAlignment.Center
                    textStyle.fontSize: FontSize.XXLarge
                }
            }
            Container {
                horizontalAlignment: HorizontalAlignment.Center
                Label {
                    text: "v%1".arg(appversion)
                }
            }
            Container {
                horizontalAlignment: HorizontalAlignment.Center
                topPadding: ui.sdu(2)
                Label {
                    text: "A short messaging client for the pnut.io network."
                    multiline: true
                }   
            }
            Container {
                horizontalAlignment: HorizontalAlignment.Center
                topPadding: ui.sdu(2)
                Label {
                    text: "Copyright &copy;  2016-2020  Morgan McMillian"
                    textStyle.fontSize: FontSize.XSmall
                    textFormat: TextFormat.Html
                }
            }
            Container {
                horizontalAlignment: HorizontalAlignment.Center
                topPadding: ui.sdu(3)
                Label {
                    text: "<a href=\"https://thrrgilag.net\">https://thrrgilag.net</a>"
                    textFormat: TextFormat.Html
                }
            }
        }
    }
}