# Changelog
All notable changes to this project will be documented in this file.  

The format is based on [Keep a Changelog](http://keepachangelog.com/en/1.0.0/).  

## [0.9.5] - 2020-02-16
### Fixed
- Refresh post following a repost (issue #57)
- Fix HTML parsing on user descriptions (issue #56)
- Fix parsing of links containing & (issue #54)

## [0.9.4] - 2020-02-01
### Fixed
- Updated longpost url (issue #53)
- Rendering posts with links containing surrogate pair characters

## [0.9.3] - 2019-10-13
### Fixed
- Don't count markdown links against total post text count (issue #52)
- Handle utf8 text copying to the clipboard (issue #25)

## [0.9.2] - 2019-08-10
### Fixed
- Authentication error with new install on 10.3.3 devices (issue #49)
- Own username populating as mention in replies (issue #51)

### Changed
- Optimized calls for raw to only posts (issue #50)
- New changelog format (issue #41)

## [0.9.1] - 2018-01-15
### Fixed
- replace html parsing with text rendering and link parsing function (issue #37)
- split the avatar images into a seperate cache

## [0.9.0] - 2017-11-18
### Added
- settings to prevent image loading

### Changed
- replaced webimageview class with netimagemanager class
- open images in preview card

### Fixed
- set minimum avatar size (issue #33)
- add raw paramater on bookmark and repost calls (issue #24)
- increase initial count (issue #19)
- added missing active tab settings (issue #26)
- image loading on thread view
- simulator builds

## [0.8.0] - 2017-02-18
### Added
- invoke hooks for sharing posts (issue #15)
- added copy text to clipboard (issue #7)
- render oembed photos (issue #12)

### Fixed
- post rendering problems (issue #18)

## [0.7.0] - 2017-02-07
### Fixed
- handle bookmark status update (issue #10)
- tweak navigation focus policy for BlackBerry Classic (issue #9)
- markdown link rendering (issue #4)
- oauth work around for 10.3.3 security update (issue #11)
- fixed project setup removing hard coded system paths

## [0.6.0] - 2016-11-13
### Added
- Added posts, following, and followers view to profile page
- Added support for changing visual theme (dark mode)

### Fixed
- Fixed reply-all from thread view page

## [0.5.0] - 2016-11-05
### Added
- about page
- setting for CC on reply all
- bookmark tab
- delete post
- keyboard shortcuts

## [0.4.0] - 2016-10-22
### Added
- mentions tab
- link to new root CA on login page
- user interactions (follow, block, mute)

### Changed
- app cover reflects unread for active tab

### Fixed
- profile display on small screens

## [0.3.0] - 2016-10-01
### Added
- pull to load new posts
- add/remove bookmarks
- repost and quote posts

### Fixed
- login and logout 

## [0.2.0] - 2016-09-24
### Added
- thread view
- post status icons

## [0.1.0] - 2016-09-22
### Added
- Initial release

[0.9.5]: https://gitlab.dreamfall.space/thrrgilag/goober-bb10/-/tags/0.9.5
[0.9.4]: https://gitlab.dreamfall.space/thrrgilag/goober-bb10/-/tags/0.9.4
[0.9.3]: https://gitlab.dreamfall.space/thrrgilag/goober-bb10/-/tags/0.9.3
[0.9.2]: https://gitlab.dreamfall.space/thrrgilag/goober-bb10/-/tags/0.9.2
[0.9.1]: https://gitlab.dreamfall.space/thrrgilag/goober-bb10/-/tags/Goober_0_9_1
[0.9.0]: https://gitlab.dreamfall.space/thrrgilag/goober-bb10/-/tags/Goober_0_9_0
[0.8.0]: https://gitlab.dreamfall.space/thrrgilag/goober-bb10/-/tags/Goober_0_8_0
[0.7.0]: https://gitlab.dreamfall.space/thrrgilag/goober-bb10/-/tags/Goober_0_7_0
[0.6.0]: https://gitlab.dreamfall.space/thrrgilag/goober-bb10/-/tags/Goober_0_6_0
[0.5.0]: https://gitlab.dreamfall.space/thrrgilag/goober-bb10/-/tags/Goober_0_5_0
[0.4.0]: https://gitlab.dreamfall.space/thrrgilag/goober-bb10/-/tags/Goober_0_4_0
[0.3.0]: https://gitlab.dreamfall.space/thrrgilag/goober-bb10/-/tags/Goober_0_3_0
[0.2.0]: https://gitlab.dreamfall.space/thrrgilag/goober-bb10/-/tags/Goober_0_2_0

