/*
 * Copyright (C) 2016-2017  Morgan McMillian <gilag@monkeystew.com>
 * 
 * This file is apart of the Goober application, a client for pnut.io
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

function fixPostHtml(data) {
	data = data.replace(/<\\?\/?span[^>]*>/g, "");
	data = data.replace(/<br>/g, "<br/>");
	var hrefreg = /<a\shref=\\?"([^>]*)\\?">/;
	var hrefm = hrefreg.exec(data);
	if (hrefm != null) {
		var href = hrefm[1].replace(/&/g, "&amp;");
		data = data.replace(hrefreg, "<a href=\"" + href + "\">");
	}
	return data;
}